﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace KeyTest {
    public partial class Form1 : Form {
        public Form1() {
            InitializeComponent();
            tb_log.Font = new Font(FontFamily.GenericMonospace, tb_log.Font.Size);
        }

        private void Form1_KeyDown(object sender, KeyEventArgs e) {
            addLog("KeyDown", e);
        }

        private void Form1_KeyUp(object sender, KeyEventArgs e) {
            addLog("KeyUp", e);
        }

        private void addLog(string type, KeyEventArgs e) {
            e.Handled = false;

            var extra = "";
            if (e.Control)  extra += " CTRL";
            if (e.Alt)      extra += " ALT";
            if (e.Shift)    extra += " SHIFT";

            tb_log.AppendText(string.Format("{0,-12}{1,-14}{2,-8}{3}\r\n", type, e.KeyCode, e.KeyValue, extra));
        }
    }
}
